/*  Copyright (C) 2010-2024 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "polar.h"

#include <runtimeInfo/runtimeInfo.h>
using std::endl;

Polar::Polar()
    :
    Config(""),
    MachNumber(0.),
    altitude(0.),
    ReynoldsNumber(0.),
    extrapolationMargin(0.),
    allowGridChange(false) {
}

tawDefaultPolar::tawDefaultPolar() {
    
}

PolarPoint::PolarPoint()
    :
    AoA(0.),
    CL(0.),
    CD(0.),
    CM(0.),
    LoverD(0.),
    iStabPolar(0.) {
}

defaultPolarPointLiftSurface::defaultPolarPointLiftSurface() {
    // ctor
}


defaultPolarPoint::defaultPolarPoint()
    :
    CD_ind(0.),
    CD_visc(0.),
    CD_wave(0.) {
}



tawDBPolarPoint::tawDBPolarPoint()
    :
    CD_ind(0.),
    CD_visc_turb(0.),
    CD_visc_lam(0.),
    CD_wave(0.) {
}

