/* UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#include "../../standard_strategy.h"
#include "../../../toolinfo.h"
#include <vector>

void StandardStrategy::setHtmlBody_AQISchaefer() {
    report_->htmlReportStream()
       << html::h2("Air Quality")
       << "<br>"
       << html::table_begin({"Parameter", "Comment", "Unit", "Value"}, "Air quality index and tolerance factors")
       << html::table_row("AQI", "<font size=\"-1\">Air quality index</font>", "1", Rounding(theAQISchaefer.AQI, 2))
       << html::table_row("Tolerance factor CO", "<font size=\"-1\">Tolerance factor of CO emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_CO, 2))
       << html::table_row("Tolerance factor HC", "<font size=\"-1\">Tolerance factor of HC emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_HC, 2))
       << html::table_row("Tolerance factor NOx", "<font size=\"-1\">Tolerance factor of NOx emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_NOx, 2))
       << html::table_row("Tolerance factor Soot", "<font size=\"-1\">Tolerance factor of soot emissions during LTO</font>", "1", Rounding(theAQISchaefer.Tolerance_soot, 2))
       << html::table_end;
}

void StandardStrategy::setTexBody_AQISchaefer(const std::shared_ptr<RuntimeIO> &rtIO) {
       // TODO bei Gelenheit mit Inhalt füllen
}
