/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_
#define EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_

#include <aixml/endnode.h>

#include <vector>

#include "lib/IO_methods/io.h"

namespace bwb {
namespace low {

class VerticalTailsConfig {
 public:
  VerticalTailsConfig();
  ~VerticalTailsConfig() = default;

  void read(const node& xml);

  EndnodeReadOnly<std::string> design_mode;
  EndnodeReadOnly<std::string> mass_mode;
  EndnodeReadOnly<double> mass_mode_flops_technology_factor;
  std::vector<TailElement> vertical_tails;

};

}  // namespace low
}  // namespace bwb
#endif  // EMPENNAGEDESIGN_SRC_BWB_VERTICAL_TAILS_BWBVERTICALTAILSCONFIG_H_
