/*  Copyright (C) 2011-2022 Institute of Aerospace Systems, RWTH Aachen University - All rights reserved.
    This file is part of UNICADO.

    UNICADO is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    UNICADO is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with UNICADO.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef SYSTEMS_DESIGN_SRC_AIRCRAFTSYSTEMS_HIGHLIFTSYSTEM_WINGTIPBRAKES_H_
#define SYSTEMS_DESIGN_SRC_AIRCRAFTSYSTEMS_HIGHLIFTSYSTEM_WINGTIPBRAKES_H_

#include <string>

/** \brief contains all properties of the wing tip brakes
 */
class wingTipBrakes {
 public:
    double Mass;/**< [kg] mass of the wing tip brakes */

    /** \brief calculates the WTB mass
     *
     * \param deviceType string
     * \param installedPCUPower double: [W] installed power of the PCU
     * \return void
     *
     */
    void getMass(const std::string& deviceType, double installedPCUPower);

    wingTipBrakes();
    virtual ~wingTipBrakes();
};

#endif // SYSTEMS_DESIGN_SRC_AIRCRAFTSYSTEMS_HIGHLIFTSYSTEM_WINGTIPBRAKES_H_
