# Introduction {#mainpage}
The _tank\_design_ module in UNICADO is here to save your aircraft from fuel-storage nightmares. It handles the math, checks the geometry, and makes sure your energy carrier fits perfectly — because a tank that doesn’t work isn’t worth the fuel. With hydrogen and other next-gen fuels joining the party, you’ll want all the precision you can get. Consider this module your go-to for tanks that get the job done right. 🚀

## Summary of features
Here’s a quick rundown of what the tool currently does, along with a sneak peek at what's planned:

Configuration     | Energy carrier   | Fidelity  | Methods   | Status                               |
------------------|------------------|-----------|-----------|:------------------------------------:|
Tube-and-wing     |Kerosene          |Empirical  |TUB        |running \emoji white_check_mark       |
Tube-and-wing     |Liquid hydrogen   |Empirical  |TUB        |under development \emoji construction |
Blended-wing-body |...               |...        |...        |under development \emoji construction |

## A user's guide to tank design
The _tank\_design_ tool is your key to designing the aircraft's fuel storage. In this user documentation, you’ll find all the information you need to understand the tool, as well as the necessary inputs and configurations to run a tank design from the ground up.
The following sections will walk you through the process:
- [Getting started](getting_started.md)
- [Run your first tank design](run_your_first_tank_design.md)

For a comprehensive understanding of the tool’s functionality, the documentation is structured into two distinct sections:
- A [method description](tank_design_method.md) and
- a [software architecture](software_architecture.md)
section.

Ready to dive in? Let’s get started! \emoji airplane


<!-- ## You are a Developer?
If you are familiar with these concepts and want to contribute - head over to the developers guide to get your own method running in UNICADO!

The following pages will help you understand the code structure:

- [Prerequisites](prerequisites.md)
- [Build the code](build-the-code.md)
- [Tank design module structure](wing-module-structure.md)
- [Available methods](available-methods.md)
- [Method template](method-template.md)

We appreciate it! -->