# UNICADO - UNIversity Conceptual Aircraft Design and Optimization
#
# Copyright (C) 2024 UNICADO consortium
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.
#
# Description:
# This file is part of UNICADO.

"""PylonIO
"""

from .massPropertiesIO import MassPropertiesIO


class NacelleIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./mass_properties").read(xml_node)
        return self.mass_properties


class PylonIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./pylon/mass_properties").read(xml_node)
        return self.mass_properties


class EngineIO:
    def __init__(self) -> None:
        self.mass_properties = None

    def read(self, xml_node):
        self.mass_properties = MassPropertiesIO(
            "./engine/mass_properties").read(xml_node)
        return self.mass_properties
