/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef WING_AREA_METHODS_H_
#define WING_AREA_METHODS_H_
#include <iostream>

using modes = std::string;
namespace user_defined {
double wing_area(const double user_wing_area);
}

namespace loading_and_mass {
double wing_area(const double mtom, const double loading);
}

double get_design_wing_area(modes wing_area_mode, const double user_wing_area, const double maximum_takeoff_mass,
                            const double wing_loading);
#endif  // WING_AREA_METHODS_H_
