/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef SPAR_IO_H_
#define SPAR_IO_H_

#include "relativePositionIO.h"

class Spar {
 public:
  Spar() = default;
  Spar(const std::string& origin)
      : position(RelativePosition(origin)), name(Endnode<std::string>(origin + "name", "component spar")) {}
  RelativePosition position;
  Endnode<std::string> name;

  void read(const node& xml) {
    position.read(xml);
    name.read(xml);
  }
};

#endif  // SPAR_IO_H_