/*
 * UNICADO - UNIversity Conceptual Aircraft Design and Optimization
 *
 * Copyright (C) 2024 UNICADO consortium
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * Description:
 * This file is part of UNICADO.
 */

#ifndef WINGDESIGN_SRC_WINGDESIGN_H_
#define WINGDESIGN_SRC_WINGDESIGN_H_

#include <moduleBasics/module.h>
#include <moduleBasics/strategySelector.h>

#include <string>

class WingDesign : public Module {
 public:
  WingDesign(const int argc, char *argv[], const std::string &toolName, const std::string &toolVersion);
  ~WingDesign() = default;

  void initialize() override { strategy.initializeStrategy(); }
  void run() override { strategy.runStrategy(); }
  void update() override { strategy.updateStrategy(); }
  void report() override { strategy.reportStrategy(); }
  void save() override {
    strategy.saveStrategy();
    rtIO_->saveAndCloseAcXML();
    rtIO_->closeModuleConfig();
  }

  StrategySelector strategy;
};

#endif  // WINGDESIGN_SRC_WINGDESIGN_H_
